program poerica;
var N,i:integer;
L,t:longint;
H:array [1..1000] of longint;
begin
read(N); read(L);
for i:=1 to N do
read(H[i]);
t:=-1;
for i:=1 to N do begin
if t=-1 then 
if H[i]<=L then t:=i;
end;
write(t);
end.